Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class EstimateDocumentType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.EstimateDocumentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class EstimateDocumentType

extends Object
implements Serializable

Generiek type voor een BTC-bestek in een aanvraag.

Java class for EstimateDocumentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EstimateDocumentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EstimatedPrice" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType"/>
             <element name="EstimateDocument" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EstimateDocumentType()`

Method Summary
`DocumentListType` | `getEstimateDocument()` Gets the value of the estimateDocument property.
`BigDecimal` | `getEstimatedPrice()` Gets the value of the estimatedPrice property.
`void` | `setEstimateDocument(DocumentListType value)` Sets the value of the estimateDocument property.
`void` | `setEstimatedPrice(BigDecimal value)` Sets the value of the estimatedPrice property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EstimateDocumentType

    public EstimateDocumentType()

Method Detail

### getEstimatedPrice

    public BigDecimal getEstimatedPrice()

  Gets the value of the estimatedPrice property.

  Returns:
    possible object is `BigDecimal`

### setEstimatedPrice

    public void setEstimatedPrice(BigDecimal value)

  Sets the value of the estimatedPrice property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getEstimateDocument

    public DocumentListType getEstimateDocument()

  Gets the value of the estimateDocument property.

  Returns:
    possible object is `DocumentListType`

### setEstimateDocument

    public void setEstimateDocument(DocumentListType value)

  Sets the value of the estimateDocument property.

  Parameters:
    `value` - allowed object is `DocumentListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.